Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.awt
Class SquarePointShapeFactory

    java.lang.Object
      com.vividsolutions.jts.awt.SquarePointShapeFactory

All Implemented Interfaces:
  PointShapeFactory

    public class SquarePointShapeFactory

extends java.lang.Object
implements PointShapeFactory

A factory for generating square shapes to represent points.

Author:
  Martin Davis

Field Summary
`static double` | `DEFAULT_SIZE` The default length of the square's side.

Constructor Summary
`SquarePointShapeFactory()` Creates a new factory for squares with default size.
`SquarePointShapeFactory(double squareSize)` Creates a factory for squares of given size.

Method Summary
`java.awt.Shape` | `createPoint(java.awt.geom.Point2D point)` Creates a shape representing a point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SIZE

    public static double DEFAULT_SIZE

  The default length of the square's side.

Constructor Detail

### SquarePointShapeFactory

    public SquarePointShapeFactory()

  Creates a new factory for squares with default size.

### SquarePointShapeFactory

    public SquarePointShapeFactory(double squareSize)

  Creates a factory for squares of given size.

  Parameters:
    `squareSize` - the length of the side of the square

Method Detail

### createPoint

    public java.awt.Shape createPoint(java.awt.geom.Point2D point)

  Creates a shape representing a point.

  Specified by:
    `createPoint` in interface `PointShapeFactory`
  Parameters:
    `point` - the location of the point
  Returns:
    a shape

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD